{
  "minecraft:recipes/tools/fishing_rod": {
    "criteria": {
      "has_string": "2024-11-24 11:31:51 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_sword": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/30_good_electronic_circuit": {
    "criteria": {
      "location": "2024-11-03 19:31:33 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/observer": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_door": {
    "criteria": {
      "has_planks": "2024-12-21 22:19:03 +0000"
    },
    "done": true
  },
  "gregtech:steam/90_primitive_pump": {
    "criteria": {
      "location": "2024-11-03 12:35:02 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/snow": {
    "criteria": {
      "has_snowball": "2024-11-06 14:59:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_pickaxe": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_fence_gate": {
    "criteria": {
      "has_planks": "2024-12-21 22:19:03 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_helmet": {
    "criteria": {
      "has_leather": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/pumpkin_seeds": {
    "criteria": {
      "has_pumpkin": "2024-11-01 22:22:09 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/89_fluid_pipe_death_cold": {
    "criteria": {
      "fluid_pipe_death_cold": "2025-11-26 18:20:50 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/36_integrated_logic_circuit": {
    "criteria": {
      "location": "2024-12-06 14:50:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crafting_table": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/melon_seeds": {
    "criteria": {
      "has_melon": "2024-11-01 15:33:34 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/ladder": {
    "criteria": {
      "has_stick": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_sword": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/35_logic_circuit_wafer": {
    "criteria": {
      "location": "2024-12-06 14:37:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_sandstone": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_shovel": {
    "criteria": {
      "has_stick": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/shears": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_lamp": {
    "criteria": {
      "has_glowstone": "2024-11-09 10:57:07 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_ethereal": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dispenser": {
    "criteria": {
      "has_bow": "2024-11-10 18:45:14 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_red_bonemeal": {
    "criteria": {
      "has_red_dye": "2024-10-30 17:40:32 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/white_dye_from_white_anemone": {
    "criteria": {
      "has_flower": "2024-10-30 17:13:00 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/emerald_block": {
    "criteria": {
      "has_at_least_9_emerald": "2024-12-23 12:01:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/food/cake": {
    "criteria": {
      "has_egg": "2024-11-01 13:52:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_leggings": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone_stairs": {
    "criteria": {
      "has_sandstone": "2024-11-01 15:27:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/shield": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_banner": {
    "criteria": {
      "has_brown_wool": "2024-10-30 17:20:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_sandstone_stairs": {
    "criteria": {
      "has_red_sandstone": "2024-11-01 22:30:03 +0000"
    },
    "done": true
  },
  "gregtech:steam/91_primitive_blast_furnace": {
    "criteria": {
      "location": "2024-10-29 21:25:02 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/speckled_melon": {
    "criteria": {
      "has_melon": "2024-11-01 15:33:34 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot_from_block": {
    "criteria": {
      "has_iron_block": "2024-11-05 17:02:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_bed": {
    "criteria": {
      "has_gray_wool": "2024-10-30 17:20:17 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/hopper": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "gregtech:steam/87_fluid_pipe_death_heat": {
    "criteria": {
      "fluid_pipe_death_heat": "2024-11-03 12:47:10 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/17_lv_pump": {
    "criteria": {
      "location": "2024-11-03 18:57:04 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coarse_dirt": {
    "criteria": {
      "has_gravel": "2024-11-01 14:24:37 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/fence_gate": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_mangrove": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/lime_dye": {
    "criteria": {
      "has_bonemeal": "2024-10-30 18:07:18 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/redstone/willow_fence_gate": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_leggings": {
    "criteria": {
      "has_leather": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone_slab": {
    "criteria": {
      "has_sandstone": "2024-11-01 15:27:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/emerald": {
    "criteria": {
      "has_emerald_block": "2024-12-23 12:02:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/iron_bars": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "gregtech:extreme_voltage/47_nichrome_coil": {
    "criteria": {
      "location": "2024-12-20 15:16:45 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/20_lv_conveyor": {
    "criteria": {
      "location": "2024-11-03 17:43:35 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/sugar": {
    "criteria": {
      "has_reeds": "2024-11-07 16:36:35 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/decorations/crafting_table_from_bop_wood": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_stairs": {
    "criteria": {
      "has_brick_block": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/31_mv_energy_hatch": {
    "criteria": {
      "location": "2024-12-05 18:56:48 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gold_block": {
    "criteria": {
      "has_at_least_9_gold_ingot": "2024-12-08 12:01:15 +0000"
    },
    "done": true
  },
  "sereneseasons:recipes/tools/season_clock": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/comparator": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/redstone/trapdoor_from_bop_wood": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/brown_dye_from_cattail": {
    "criteria": {
      "has_flower": "2024-11-01 14:17:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2024-10-30 18:17:59 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/armor_stand": {
    "criteria": {
      "has_stone_slab": "2024-11-10 10:53:08 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_leggings": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2024-10-30 17:12:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_planks": {
    "criteria": {
      "has_log": "2024-11-28 17:40:42 +0000"
    },
    "done": true
  },
  "minecraft:story/lava_bucket": {
    "criteria": {
      "lava_bucket": "2024-11-08 19:42:35 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/white_dye_from_lily_of_the_valley": {
    "criteria": {
      "has_flower": "2024-11-01 14:21:55 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_stairs": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_carpet": {
    "criteria": {
      "has_red_wool": "2024-10-30 17:40:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_trapdoor": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_redwood": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/41_vacuum_freezer": {
    "criteria": {
      "location": "2024-12-23 14:20:50 +0000"
    },
    "done": true
  },
  "minecraft:adventure/root": {
    "criteria": {
      "killed_something": "2024-10-29 18:18:18 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/white_wool_from_cattails": {
    "criteria": {
      "has_log": "2024-11-01 14:17:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_pickaxe": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:adventure/kill_all_mobs": {
    "criteria": {
      "skeleton": "2024-11-09 13:45:22 +0000",
      "zombie": "2024-10-29 20:19:48 +0000",
      "spider": "2024-12-07 16:55:16 +0000"
    },
    "done": false
  },
  "pyrotech:root": {
    "criteria": {
      "mod_item": "2024-10-29 17:55:00 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_bed": {
    "criteria": {
      "has_orange_wool": "2024-10-29 18:06:38 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/willow_wooden_slab": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_block": {
    "criteria": {
      "has_at_least_9_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/redstone/wooden_button_from_bop_wood": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_bed": {
    "criteria": {
      "has_brown_wool": "2024-10-30 17:20:12 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/food/shroom_powder": {
    "criteria": {
      "has_mushroom": "2024-10-30 18:05:29 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/mud": {
    "criteria": {
      "has_item": "2024-11-01 22:20:52 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "pyrotech:dried_plant_fibers": {
    "criteria": {
      "dried_plant_fibers": "2024-10-29 18:18:18 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/redstone/willow_door": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_block": {
    "criteria": {
      "has_brick": "2024-10-30 18:18:15 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "sereneseasons:recipes/redstone/season_sensor": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "gregtech:extreme_voltage/50_nano_processor": {
    "criteria": {
      "location": "2025-01-21 16:07:15 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/interface": {
    "criteria": {
      "certus": "2024-11-07 17:28:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/cyan_dye": {
    "criteria": {
      "has_lapis": "2024-11-30 18:25:04 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/23_lv_assembler": {
    "criteria": {
      "location": "2024-11-03 17:44:36 +0000"
    },
    "done": true
  },
  "gregtech:steam/16_steel_boiler": {
    "criteria": {
      "location": "2024-11-03 12:46:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_chestplate": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_red_pink": {
    "criteria": {
      "has_red_dye": "2024-10-30 17:40:32 +0000"
    },
    "done": true
  },
  "minecraft:recipes/brewing/glass_bottle": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_fir": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_gray_bonemeal": {
    "criteria": {
      "has_bonemeal": "2024-10-30 18:07:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/iron_block": {
    "criteria": {
      "has_at_least_9_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_sacred_oak": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_poppy": {
    "criteria": {
      "has_red_flower": "2024-10-30 17:39:58 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/wooden_pressure_plate": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "biomesoplenty:biomesoplenty/terrestrial_artifact": {
    "criteria": {
      "emerald": "2024-12-06 15:02:55 +0000"
    },
    "done": false
  },
  "gregtech:steam/14_magnetic_iron": {
    "criteria": {
      "location": "2024-11-03 12:18:35 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/yellow_dye_from_dandelion": {
    "criteria": {
      "has_yellow_flower": "2024-11-01 15:17:32 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/clay": {
    "criteria": {
      "has_clay_ball": "2024-11-08 21:39:24 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/coarse_loamy_dirt": {
    "criteria": {
      "has_gravel": "2024-11-01 14:24:37 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/redstone/wooden_pressure_plate_from_bop_wood": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/44_distillation_tower": {
    "criteria": {
      "location": "2024-12-19 17:54:00 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/wooden_sword": {
    "criteria": {
      "has_stick": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/wooden_button": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_banner": {
    "criteria": {
      "has_gray_wool": "2024-10-30 17:20:17 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/28_lv_energy_hatch": {
    "criteria": {
      "location": "2024-11-08 15:20:46 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_planks": {
    "criteria": {
      "has_log": "2024-10-29 19:21:16 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_cherry": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/86_electrocution_death": {
    "criteria": {
      "electrocution_death": "2025-11-25 21:30:32 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/fence": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_axe": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_axe": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glowstone": {
    "criteria": {
      "has_glowstone_dust": "2024-11-09 10:51:27 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/storage_bus": {
    "criteria": {
      "part": "2025-05-29 19:48:42 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_carpet": {
    "criteria": {
      "has_gray_wool": "2024-10-30 17:20:17 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_banner": {
    "criteria": {
      "has_red_wool": "2024-10-30 17:40:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/tripwire_hook": {
    "criteria": {
      "has_string": "2024-11-24 11:31:51 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_boots": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_planks": {
    "criteria": {
      "has_log": "2024-10-30 18:05:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal_from_bone": {
    "criteria": {
      "has_bone": "2024-11-09 13:45:23 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_banner": {
    "criteria": {
      "has_orange_wool": "2024-10-29 18:06:38 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_hellbark": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_wooden_slab": {
    "criteria": {
      "has_planks": "2024-12-21 22:19:03 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_fence_gate": {
    "criteria": {
      "has_planks": "2024-11-23 18:04:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2024-11-11 15:51:56 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_chestplate": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/noteblock": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:adventure/kill_a_mob": {
    "criteria": {
      "zombie": "2024-10-29 20:19:48 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/coarse_sandy_dirt": {
    "criteria": {
      "has_gravel": "2024-11-01 14:24:37 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_pickaxe": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "gregtech:steam/1_first_tools": {
    "criteria": {
      "location": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/32_electric_drill": {
    "criteria": {
      "location": "2024-10-29 18:08:05 +0000"
    },
    "done": true
  },
  "gregtech:extreme_voltage/root_ev": {
    "criteria": {
      "location": "2024-12-24 14:18:17 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/gray_dye": {
    "criteria": {
      "has_bonemeal": "2024-10-30 18:07:18 +0000"
    },
    "done": true
  },
  "gregtech:steam/11_rubber": {
    "criteria": {
      "location": "2024-12-22 13:53:35 +0000"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "forest": "2024-10-29 17:37:06 +0000",
      "mesa_rock": "2024-10-29 17:35:06 +0000",
      "swampland": "2024-10-29 17:37:22 +0000",
      "birch_forest": "2024-10-29 18:29:58 +0000",
      "deep_ocean": "2024-10-29 17:36:30 +0000",
      "beaches": "2024-10-29 17:33:02 +0000",
      "extreme_hills_with_trees": "2024-10-29 17:37:49 +0000",
      "desert_hills": "2024-11-01 15:10:47 +0000",
      "mesa": "2024-10-29 17:32:01 +0000",
      "forest_hills": "2024-10-29 17:37:10 +0000",
      "plains": "2024-10-29 17:32:16 +0000",
      "savanna": "2024-10-30 17:17:48 +0000",
      "mesa_clear_rock": "2024-10-29 17:35:04 +0000",
      "savanna_rock": "2024-10-30 17:19:06 +0000",
      "taiga": "2025-01-19 10:49:00 +0000",
      "birch_forest_hills": "2024-10-29 17:58:37 +0000",
      "ocean": "2024-10-29 17:36:12 +0000",
      "extreme_hills": "2024-10-29 17:34:44 +0000",
      "roofed_forest": "2025-01-19 10:32:07 +0000",
      "river": "2024-10-29 17:32:26 +0000",
      "desert": "2024-10-29 17:34:55 +0000",
      "stone_beach": "2024-10-29 17:37:57 +0000"
    },
    "done": false
  },
  "minecraft:recipes/misc/book": {
    "criteria": {
      "has_paper": "2024-11-02 08:53:09 +0000"
    },
    "done": true
  },
  "gregtech:steam/10_vacuum_tube": {
    "criteria": {
      "location": "2024-11-02 09:10:59 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_wooden_slab": {
    "criteria": {
      "has_planks": "2024-11-23 18:04:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:husbandry/plant_seed": {
    "criteria": {
      "wheat": "2024-11-06 15:24:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2024-11-11 15:51:56 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_boots": {
    "criteria": {
      "has_leather": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/boat": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/purple_dye": {
    "criteria": {
      "has_red_dye": "2024-10-30 17:40:32 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_tulip": {
    "criteria": {
      "has_red_flower": "2024-10-30 17:38:31 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_orange_tulip": {
    "criteria": {
      "has_red_flower": "2024-11-30 22:10:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_carpet": {
    "criteria": {
      "has_brown_wool": "2024-10-30 17:20:12 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diamond_block": {
    "criteria": {
      "has_at_least_9_diamond": "2024-11-22 14:35:42 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/flower_pot": {
    "criteria": {
      "has_brick": "2024-10-30 18:18:15 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/88_first_cover_place": {
    "criteria": {
      "first_cover_place": "2024-11-03 17:40:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lapis_block": {
    "criteria": {
      "has_at_least_9_lapis": "2024-11-30 18:25:04 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_slab": {
    "criteria": {
      "has_brick_block": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/sand_from_dried_sand": {
    "criteria": {
      "has_gem_block": "2024-10-30 18:17:59 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/82_large_chemical_reactor": {
    "criteria": {
      "location": "2025-01-01 14:15:23 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/melon_block": {
    "criteria": {
      "has_melon": "2024-11-01 15:33:34 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/mud_from_dirt": {
    "criteria": {
      "has_gem_block": "2024-10-30 18:17:59 +0000"
    },
    "done": true
  },
  "gregtech:steam/13_steel": {
    "criteria": {
      "location": "2024-10-29 18:16:51 +0000"
    },
    "done": true
  },
  "minecraft:recipes/food/cookie": {
    "criteria": {
      "has_cocoa": "2024-11-01 14:49:40 +0000"
    },
    "done": true
  },
  "rftools:alltheitems": {
    "criteria": {
      "placed_storage": "2025-01-04 23:27:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/diamond": {
    "criteria": {
      "has_diamond_block": "2024-11-24 11:26:14 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite": {
    "criteria": {
      "has_stone": "2024-11-20 19:37:32 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_red_yellow": {
    "criteria": {
      "has_red_dye": "2024-10-30 17:40:32 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/willow_stairs": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/42_kanthal_coil": {
    "criteria": {
      "location": "2024-12-12 16:37:52 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/storage_cell": {
    "criteria": {
      "c1k": "2024-10-29 21:14:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/coarse_silty_dirt": {
    "criteria": {
      "has_gravel": "2024-11-01 14:24:37 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_wooden_slab": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_bed": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "gregtech:steam/3_bronze_dust": {
    "criteria": {
      "location": "2024-11-08 17:34:35 +0000"
    },
    "done": true
  },
  "minecraft:nether/root": {
    "criteria": {
      "entered_nether": "2024-10-29 19:35:37 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/decorations/sign_from_bop_wood": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_hoe": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/food/bread": {
    "criteria": {
      "has_wheat": "2024-11-09 10:50:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/trapdoor": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/19_lv_pump_block": {
    "criteria": {
      "location": "2025-01-21 15:57:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_sword": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/sign": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jukebox": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/flint_and_steel": {
    "criteria": {
      "has_flint": "2024-10-30 17:47:33 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:husbandry/balanced_diet": {
    "criteria": {
      "cooked_porkchop": "2024-10-29 19:48:35 +0000",
      "cooked_mutton": "2024-10-30 17:57:55 +0000",
      "cooked_beef": "2024-10-29 19:52:47 +0000",
      "beef": "2024-10-29 20:21:07 +0000",
      "baked_potato": "2024-11-09 10:57:30 +0000",
      "melon": "2024-11-01 15:33:37 +0000",
      "mutton": "2024-11-08 22:43:27 +0000",
      "bread": "2024-10-29 18:27:10 +0000",
      "rotten_flesh": "2024-10-29 20:26:14 +0000",
      "cooked_chicken": "2024-10-29 19:18:37 +0000"
    },
    "done": false
  },
  "minecraft:recipes/tools/wooden_hoe": {
    "criteria": {
      "has_stick": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/bucket": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "gregtech:insane_voltage/57_rtm_alloy_coil": {
    "criteria": {
      "location": "2025-11-22 23:40:16 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/27_electric_blast_furnace": {
    "criteria": {
      "location": "2024-11-08 19:27:23 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_banner": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_eucalyptus": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/hay_block": {
    "criteria": {
      "has_at_least_9_wheat": "2024-11-09 10:50:09 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_helmet": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_shovel": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/bow": {
    "criteria": {
      "has_string": "2024-11-24 11:31:51 +0000"
    },
    "done": true
  },
  "sereneseasons:recipes/buildingblocks/greenhouse_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/tnt": {
    "criteria": {
      "has_gunpowder": "2024-10-29 21:13:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_sandstone": {
    "criteria": {
      "has_sandstone": "2024-11-01 15:27:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "gregtech:steam/81_crafting_station": {
    "criteria": {
      "location": "2024-11-20 18:15:31 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_carpet": {
    "criteria": {
      "has_orange_wool": "2024-10-29 18:06:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_chestplate": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/lime_dye_from_glowshroom": {
    "criteria": {
      "has_flower": "2024-11-27 13:14:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/minecart": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_pickaxe": {
    "criteria": {
      "has_stick": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_hoe": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:husbandry/root": {
    "criteria": {
      "consumed_item": "2024-10-29 18:21:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_torch": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab": {
    "criteria": {
      "has_stonebrick": "2025-01-21 16:30:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/food/golden_apple": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/enchanting_table": {
    "criteria": {
      "has_obsidian": "2024-11-20 16:01:39 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_ink_bonemeal": {
    "criteria": {
      "has_bonemeal": "2024-10-30 18:07:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_shovel": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "gregtech:steam/85_steam_vent_death": {
    "criteria": {
      "steam_vent_death": "2024-10-30 18:42:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/bowl": {
    "criteria": {
      "has_red_mushroom": "2024-10-29 19:47:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/item_frame": {
    "criteria": {
      "has_leather": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/clock": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_fence": {
    "criteria": {
      "has_planks": "2024-12-21 22:19:03 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_hoe": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_umbran": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/spectral_arrow": {
    "criteria": {
      "has_glowstone_dust": "2024-11-09 10:51:27 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_shovel": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:story/enter_the_nether": {
    "criteria": {
      "entered_nether": "2024-10-29 19:35:37 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_carpet": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_stairs": {
    "criteria": {
      "has_planks": "2024-12-21 22:19:03 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_sandstone_slab": {
    "criteria": {
      "has_red_sandstone": "2024-11-01 22:30:03 +0000"
    },
    "done": true
  },
  "gregtech:steam/root_steam": {
    "criteria": {
      "location": "2024-10-29 20:33:54 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_door": {
    "criteria": {
      "has_planks": "2024-11-23 18:04:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_magic": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/root_hv": {
    "criteria": {
      "location": "2024-12-08 11:34:06 +0000"
    },
    "done": true
  },
  "minecraft:story/mine_diamond": {
    "criteria": {
      "diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_helmet": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_palm": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/anvil": {
    "criteria": {
      "has_iron_block": "2024-11-05 17:02:10 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/birch_fence": {
    "criteria": {
      "has_planks": "2024-11-23 18:04:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/root_lv": {
    "criteria": {
      "location": "2024-11-03 12:23:39 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs": {
    "criteria": {
      "has_stonebrick": "2025-01-21 16:30:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_boots": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_axe": {
    "criteria": {
      "has_stick": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/paper": {
    "criteria": {
      "has_reeds": "2024-11-07 16:36:35 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_ink_bonemeal": {
    "criteria": {
      "has_bonemeal": "2024-10-30 18:07:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_lapis_bonemeal": {
    "criteria": {
      "has_bonemeal": "2024-10-30 18:07:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_axe": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/decorations/willow_fence": {
    "criteria": {
      "has_planks": "2024-11-01 15:40:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/painting": {
    "criteria": {
      "has_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_pine": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/ash_block": {
    "criteria": {
      "has_item": "2024-12-21 18:33:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/arrow": {
    "criteria": {
      "has_feather": "2024-10-29 18:18:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2024-11-11 15:51:56 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coal_block": {
    "criteria": {
      "has_at_least_9_coal": "2024-10-30 20:41:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/light_weighted_pressure_plate": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/snow_layer": {
    "criteria": {
      "has_snowball": "2024-11-06 14:59:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_sand": "2024-10-29 19:03:01 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/buildingblocks/willow_planks": {
    "criteria": {
      "has_log": "2024-11-01 15:40:35 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "gregtech:steam/15_lv_motor": {
    "criteria": {
      "location": "2024-11-03 12:21:43 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/26_arc_furnace": {
    "criteria": {
      "location": "2024-11-11 15:39:20 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "appliedenergistics2:main/crafting_terminal": {
    "criteria": {
      "certus": "2024-11-07 16:53:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite": {
    "criteria": {
      "has_stone": "2024-11-20 19:37:32 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_helmet": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "biomesoplenty:biomesoplenty/root": {
    "criteria": {
      "bop_flower_0": "2024-10-30 17:13:00 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_red_sandstone": {
    "criteria": {
      "has_red_sandstone": "2024-11-01 22:30:03 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_ebony": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:story/root": {
    "criteria": {
      "crafting_table": "2024-11-01 14:06:47 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dropper": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/root_mv": {
    "criteria": {
      "location": "2024-11-17 11:06:07 +0000"
    },
    "done": true
  },
  "minecraft:story/form_obsidian": {
    "criteria": {
      "obsidian": "2024-11-20 16:01:39 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/25_large_boiler": {
    "criteria": {
      "location": "2024-11-03 13:03:11 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/string_to_wool": {
    "criteria": {
      "has_string": "2024-11-24 11:31:51 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_mahogany": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_chestplate": {
    "criteria": {
      "has_leather": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/tools/compass": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/repeater": {
    "criteria": {
      "has_redstone_torch": "2025-11-30 16:54:26 +0000"
    },
    "done": true
  },
  "gregtech:steam/2_more_tools": {
    "criteria": {
      "location": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/coal_from_ash": {
    "criteria": {
      "has_gem_block": "2024-12-21 18:33:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_block": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_door": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "gregtech:medium_voltage/37_advanced_integrated_logic_circuit": {
    "criteria": {
      "location": "2024-12-06 15:11:11 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/cyan_dye_from_swampflower": {
    "criteria": {
      "has_flower": "2024-11-01 14:17:03 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_willow": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_bed": {
    "criteria": {
      "has_red_wool": "2024-10-30 17:40:41 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/22_lv_robot_arm": {
    "criteria": {
      "location": "2024-11-10 11:42:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_stairs": {
    "criteria": {
      "has_planks": "2024-11-23 18:04:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/heavy_weighted_pressure_plate": {
    "criteria": {
      "has_iron_ingot": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/transportation/carrot_on_a_stick": {
    "criteria": {
      "has_carrot": "2024-10-29 18:26:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/food/pumpkin_pie": {
    "criteria": {
      "has_pumpkin": "2024-11-01 22:22:09 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/daylight_detector": {
    "criteria": {
      "has_quartz": "2025-11-30 16:53:50 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/transportation/boat_jacaranda": {
    "criteria": {
      "entered_water": "2024-10-29 17:36:05 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_wool": {
    "criteria": {
      "has_white_wool": "2024-10-29 18:06:28 +0000"
    },
    "done": true
  },
  "gregtech:steam/9_coke_oven": {
    "criteria": {
      "location": "2024-11-22 19:30:43 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/46_hv_macerator": {
    "criteria": {
      "location": "2025-01-03 14:15:45 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lit_pumpkin": {
    "criteria": {
      "has_pumpkin": "2024-11-01 22:22:09 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/light_gray_dye_from_clover": {
    "criteria": {
      "has_flower": "2024-11-06 14:47:55 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite": {
    "criteria": {
      "has_stone": "2024-11-20 19:37:32 +0000"
    },
    "done": true
  },
  "gregtech:low_voltage/29_lv_battery_buffer": {
    "criteria": {
      "location": "2024-11-25 18:55:58 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/tools/empty_jar": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stonebrick": {
    "criteria": {
      "has_stone": "2024-11-11 15:51:56 +0000"
    },
    "done": true
  },
  "gregtech:high_voltage/40_workstation": {
    "criteria": {
      "location": "2024-12-25 18:02:27 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/piston": {
    "criteria": {
      "has_redstone": "2024-11-01 23:05:49 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_leggings": {
    "criteria": {
      "has_gold_ingot": "2024-12-04 21:07:38 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs": {
    "criteria": {
      "has_cobblestone": "2024-10-29 19:27:22 +0000"
    },
    "done": true
  },
  "gregtech:steam/12_electronic_circuit": {
    "criteria": {
      "location": "2024-11-02 15:40:04 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_red_sandstone": {
    "criteria": {
      "has_red_sandstone": "2024-11-01 22:30:03 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_stained_hardened_clay": {
    "criteria": {
      "has_hardened_clay": "2024-10-29 18:35:06 +0000"
    },
    "done": true
  },
  "gregtech:insane_voltage/root_iv": {
    "criteria": {
      "location": "2025-11-25 21:21:45 +0000"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_boots": {
    "criteria": {
      "has_diamond": "2024-11-22 14:23:36 +0000"
    },
    "done": true
  },
  "biomesoplenty:recipes/misc/gray_dye_from_ash": {
    "criteria": {
      "has_flower": "2024-12-21 18:33:25 +0000"
    },
    "done": true
  },
  "minecraft:story/smelt_iron": {
    "criteria": {
      "iron": "2024-10-29 19:23:19 +0000"
    },
    "done": true
  },
  "minecraft:recipes/redstone/wooden_door": {
    "criteria": {
      "has_planks": "2024-10-29 19:21:18 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stonebrick": {
    "criteria": {
      "has_stonebrick": "2025-01-21 16:30:25 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_stained_glass": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_stained_glass_pane": {
    "criteria": {
      "has_glass": "2024-10-29 17:34:13 +0000"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bone_block": {
    "criteria": {
      "has_at_least_9_bonemeal": "2024-11-09 13:56:12 +0000"
    },
    "done": true
  }
}